liblinphone 3.8.1

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
_LinphoneCallStats Struct Reference
Obtaining information about a running call: sound volumes, quality indicators

`#include <linphonecore.h>`

## Data Fields
int | type
jitter_stats_t | jitter_stats
mblk_t * | received_rtcp
mblk_t * | sent_rtcp
float | round_trip_delay
LinphoneIceState | ice_state
LinphoneUpnpState | upnp_state
float | download_bandwidth
float | upload_bandwidth
float | local_late_rate
float | local_loss_rate
int | updated
float | rtcp_download_bandwidth
float | rtcp_upload_bandwidth

## Detailed Description

The LinphoneCallStats objects carries various statistic informations regarding quality of audio or video streams.

To receive these informations periodically and as soon as they are computed, the application is invited to place a LinphoneCoreCallStatsUpdatedCb callback in the LinphoneCoreVTable structure it passes for instantiating the LinphoneCore object (see linphone_core_new() ).

At any time, the application can access last computed statistics using linphone_call_get_audio_stats() or linphone_call_get_video_stats().

## Field Documentation

int _LinphoneCallStats::type

Can be either LINPHONE_CALL_STATS_AUDIO or LINPHONE_CALL_STATS_VIDEO

jitter_stats_t _LinphoneCallStats::jitter_stats

jitter buffer statistics, see oRTP documentation for details

mblk_t* _LinphoneCallStats::received_rtcp

Last RTCP packet received, as a mblk_t structure. See oRTP documentation for details how to extract information from it

mblk_t* _LinphoneCallStats::sent_rtcp

Last RTCP packet sent, as a mblk_t structure. See oRTP documentation for details how to extract information from it

float _LinphoneCallStats::round_trip_delay

Round trip propagation time in seconds if known, -1 if unknown.

LinphoneIceState _LinphoneCallStats::ice_state

State of ICE processing.

LinphoneUpnpState _LinphoneCallStats::upnp_state

State of uPnP processing.

float _LinphoneCallStats::download_bandwidth

Download bandwidth measurement of received stream, expressed in kbit/s, including IP/UDP/RTP headers

float _LinphoneCallStats::upload_bandwidth

Download bandwidth measurement of sent stream, expressed in kbit/s, including IP/UDP/RTP headers

float _LinphoneCallStats::local_late_rate

percentage of packet received too late over last second

float _LinphoneCallStats::local_loss_rate

percentage of lost packet over last second

int _LinphoneCallStats::updated

Tell which RTCP packet has been updated (received_rtcp or sent_rtcp). Can be either LINPHONE_CALL_STATS_RECEIVED_RTCP_UPDATE or LINPHONE_CALL_STATS_SENT_RTCP_UPDATE

float _LinphoneCallStats::rtcp_download_bandwidth

RTCP download bandwidth measurement of received stream, expressed in kbit/s, including IP/UDP/RTP headers

float _LinphoneCallStats::rtcp_upload_bandwidth

RTCP download bandwidth measurement of sent stream, expressed in kbit/s, including IP/UDP/RTP headers

The documentation for this struct was generated from the following file:

- linphonecore.h